rem *** Author: T. Wittrock, RZ Uni Kiel ***

if "%OS_VERSION%"=="" goto NoOSVersion

set WUA_VERSION_TARGET_MAJOR=5
set WUA_VERSION_TARGET_MINOR=8
set WUA_VERSION_TARGET_BUILD=0
set WUA_VERSION_TARGET_REVISION=2694

set MSI_VERSION_TARGET_MAJOR=3
set MSI_VERSION_TARGET_MINOR=1
set MSI_VERSION_TARGET_BUILD=0
set MSI_VERSION_TARGET_REVISION=0

set SCRIPT_VERSION_TARGET_MAJOR=5
set SCRIPT_VERSION_TARGET_MINOR=6
set SCRIPT_VERSION_TARGET_BUILD=0
set SCRIPT_VERSION_TARGET_REVISION=0

set IE_VERSION_TARGET_MAJOR=6
set IE_VERSION_TARGET_MINOR=0
set IE_VERSION_TARGET_BUILD=0
set IE_VERSION_TARGET_REVISION=0

goto %OS_VERSION%

:5.0
rem *** Windows 2000 ***
set OS_NAME=w2k
set SP_VERSION_TARGET=4
set SP_TARGET_ID=W2KSP4
goto EoF

:5.1
rem *** Windows XP ***
set OS_NAME=wxp
set SP_VERSION_TARGET=2
set SP_TARGET_ID=KB835935
if /i "%1"=="/instie7" set IE_VERSION_TARGET_MAJOR=7
goto EoF

:5.2
rem *** Windows Server 2003 ***
set OS_NAME=w2k3
set SP_VERSION_TARGET=2
set SP_TARGET_ID=KB914961
if /i "%1"=="/instie7" set IE_VERSION_TARGET_MAJOR=7
goto EoF

:NoOSVersion
echo ERROR: Environment variable OS_VERSION not set.
echo.
exit /b 1

:EoF
